package modele.calculs;

import modele.donnees.ElementDynamique;

/**
 * A la reception d'une commande, toutes les cases (EntitesDynamiques) des colonnes se déplacent dans la direction définie
 * (vérifier "collisions" avec le héros)
 */
public class Colonne extends RealisateurDeDeplacement {

    private static Direction directionColonne = null;

    private static Colonne c3d;

    public static Colonne getInstance() {
        if (c3d == null) {
            c3d = new Colonne();
        }
        return c3d;
    }

    public static void setDirectionColonne(Direction directionColonne) {
        Colonne.directionColonne = directionColonne;
    }

    protected boolean realiserDeplacement() {
        boolean ret = false;
        for(ElementDynamique e : lstEntitesDynamiques) {
            if(directionColonne != null && e.avancerDirectionChoisie(((modele.donnees.GroupeColonne) e).getEtat() == 0 ? Direction.haut : Direction.bas)) {
                ret = true;
                ((modele.donnees.GroupeColonne) e).prochainEtat();
            }
        }
        return ret;
    }


    public static void resetDirection() {
        directionColonne = null;
    }
}
