package modele.calculs;

import modele.donnees.ElementDynamique;
import modele.donnees.Menu;

public class ControleMenu extends RealisateurDeDeplacement {
    private Direction direction;

    private static ControleMenu cMenu;

    public static ControleMenu getInstance() {
        if (cMenu == null) {
            cMenu = new ControleMenu();
        }
        return cMenu;
    }

    public void setDirectionAction(Direction _d) {
        //System.out.println("setDirectionAction(" + _d + ")");
        direction = _d;
    }

    @Override
    protected boolean realiserDeplacement() {
        //System.out.println("realiserDeplacement() direction = " + direction);
        for (ElementDynamique e : lstEntitesDynamiques)
            if(e instanceof Menu && direction != null)
                return e.avancerDirectionChoisie(this.direction);
        return false;
    }


    public void resetDirection() {
        //System.out.println("resetDirection() direction = " + direction);
        direction = null;
    }
}
