package modele.donnees;

import modele.calculs.Direction;
import modele.calculs.Jeu;

public abstract class Items extends ElementFond implements ElementDynamique {
    private boolean recolte = false;

    public Items(Jeu jeu) {
        super(jeu);
    }

    @Override
    public boolean peutPermettreDeMonterDescendre() {
        return false;
    }

    @Override
    public boolean estRecoltable() {
        return !recolte;
    }

    @Override
    public boolean avancerDirectionChoisie(Direction d) {
        return jeu.deplacerEntite(this, d);
    }

    public ElementPhysique regarderDevantSoit() {
        return jeu.regarderDevantSoit(this);
    }

    public void recolter() {
            recolte = true;
    }
}
